## ros-galactic-plansys2-executor 2.0.8

=== CMakeLists.txt ===
project(plansys2_executor)

cmake_minimum_required(VERSION 3.5)

list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_action REQUIRED)
find_package(rclcpp_lifecycle REQUIRED)
find_package(lifecycle_msgs REQUIRED)
find_package(rclcpp_cascade_lifecycle REQUIRED)
find_package(ament_index_cpp REQUIRED)
find_package(plansys2_core REQUIRED)
find_package(plansys2_pddl_parser REQUIRED)
find_package(plansys2_msgs REQUIRED)
find_package(plansys2_domain_expert REQUIRED)
find_package(plansys2_problem_expert REQUIRED)
find_package(plansys2_planner REQUIRED)
find_package(behaviortree_cpp_v3 REQUIRED)
find_package(std_msgs REQUIRED)

find_package(ZMQ)
if(ZMQ_FOUND)
    message(STATUS "ZeroMQ found.")
    add_definitions(-DZMQ_FOUND)
else()
  message(WARNING "ZeroMQ NOT found. Not including PublisherZMQ.")
endif()

set(CMAKE_CXX_STANDARD 17)

set(dependencies
    rclcpp
    rclcpp_lifecycle
    lifecycle_msgs
    rclcpp_cascade_lifecycle
    rclcpp_action
    plansys2_pddl_parser
    ament_index_cpp
    plansys2_core
    plansys2_msgs
    plansys2_domain_expert
    plansys2_problem_expert
    plansys2_planner
    behaviortree_cpp_v3
    std_msgs
)

include_directories(include ${ZMQ_INCLUDE_DIRS})

set(EXECUTOR_SOURCES
  src/plansys2_executor/ExecutorClient.cpp
  src/plansys2_executor/ActionExecutor.cpp
  src/plansys2_executor/ActionExecutorClient.cpp
  src/plansys2_executor/ExecutorNode.cpp
  src/plansys2_executor/BTBuilder.cpp
  src/plansys2_executor/behavior_tree/execute_action_node.cpp
  src/plansys2_executor/behavior_tree/wait_action_node.cpp
  src/plansys2_executor/behavior_tree/wait_atstart_req_node.cpp
  src/plansys2_executor/behavior_tree/check_overall_req_node.cpp
  src/plansys2_executor/behavior_tree/check_atend_req_node.cpp
  src/plansys2_executor/behavior_tree/check_timeout_node.cpp
  src/plansys2_executor/behavior_tree/apply_atstart_effect_node.cpp
  src/plansys2_executor/behavior_tree/apply_atend_effect_node.cpp
)


add_library(${PROJECT_NAME} SHARED ${EXECUTOR_SOURCES})
ament_target_dependencies(${PROJECT_NAME} ${dependencies})
target_link_libraries(${PROJECT_NAME} ${ZMQ_LIBRARIES})

add_executable(executor_node
  src/executor_node.cpp
)
ament_target_dependencies(executor_node ${dependencies})
target_link_libraries(executor_node ${PROJECT_NAME})

install(DIRECTORY include/
  DESTINATION include/
)

install(DIRECTORY launch behavior_trees DESTINATION share/${PROJECT_NAME})

install(TARGETS
  ${PROJECT_NAME}
  executor_node
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION lib/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_gtest REQUIRED)

  add_subdirectory(test)
endif()

ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME})
ament_export_dependencies(${dependencies})

ament_package()

=== debian/changelog ===
ros-galactic-plansys2-executor (2.0.8-1focal) focal; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 03 May 2022 22:00:00 -0000

ros-galactic-plansys2-executor (2.0.7-1focal) focal; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 03 May 2022 22:00:00 -0000

ros-galactic-plansys2-executor (2.0.6-1focal) focal; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 02 May 2022 22:00:00 -0000

ros-galactic-plansys2-executor (2.0.5-1focal) focal; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 02 May 2022 22:00:00 -0000

ros-galactic-plansys2-executor (2.0.4-1focal) focal; urgency=high

  * Fix version
  * Merge pull request #223 <https://github.com/IntelligentRoboticsLabs/ros2_planning_system/issues/223> from IntelligentRoboticsLabs/fix_threads_buildfarm
    Fix threads buildfarm
  * Fix ROS2 Buildfarm error due to Threads
  * Merge pull request #217 <https://github.com/IntelligentRoboticsLabs/ros2_planning_system/issues/217> from jjzapf/check-action-finished
    Check action finished
  * check-action-finished: Putting leftover requirement check after state update in get_graph function.
  * check-action-finished: Use distinct names for temporary predicate/function variables inside of while loop.
  * check-action-finished: Reverting previous changes. Adding checks to WaitAction node to verify that action has finished.
  * check-action-finished: Fixing problem_expert.wait_overall_req_test in plansys2_executor/bt_node_test.cpp.
  * check-action-finished: Do not declare failure in check_overall_req_node if action has already finished.
  * Merge pull request #209 <https://github.com/IntelligentRoboticsLabs/ros2_planning_system/issues/209> from sarcasticnature/master
    Improvements on recent BtActionNode changes
  * Merge pull request #216 <https://github.com/IntelligentRoboticsLabs/ros2_planning_system/issues/216> from jjzapf/action-graph-bug-fix
    Plan-to-Action Graph Bug Fix
  * action-graph-bug-fix: Not applying at end effects when testing if actions can be run in parallel. Fixing bug in prune_backwards function.
  * Update unit tests to match changes
  * Remove extra do_work() call in on_activate()
    do_work() may call the function finish(), which will fail to deactivate
    the node if it is still in the on_activate callback.
  * Merge branch 'IntelligentRoboticsLabs:master' into master
  * Merge pull request #208 <https://github.com/IntelligentRoboticsLabs/ros2_planning_system/issues/208> from xydesa/plan-dotgraph-bug
    Plan dotgraph color bug
  * Merge branch 'IntelligentRoboticsLabs:master' into master
  * Removing unused variable.
  * More accurately getting the status of an action by including the action's start time in the index for coloring the dotgraph.
  * Contributors: Alexander Xydes, Francisco Martín Rico, Jake Keller, Josh Zapf

 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 02 May 2022 22:00:00 -0000

ros-galactic-plansys2-executor (2.0.3-1focal) focal; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 02 Apr 2022 22:00:00 -0000

ros-galactic-plansys2-executor (2.0.2-1focal) focal; urgency=high

  * Use apply and check method to create action graph
  * plan-to-action-graph-mod: Using apply and check method to search for causal links.
  * generalize-is-parallelizable: Cleaning up comments a bit.
  * generalize-is-parallelizable: Checking for contradictions at any point in time in the is_parallelizable function.
  * generalize-is-parallelizable: Improving human readability.
  * generalize-is-parallelizable: Applying ament uncrustify.
  * generalize-is-parallelizable: Generalizing the is_parallelizable function in BTBuilder so that the functions will also be checked.
  * action-graph-test: Adding unit test to verify action graph generation.
  * action-graph-fix: Using std::list to create action graph rather than …
  * action-graph-fix: Shortening line lengths to <100 characters. Applying ament uncrustify.
  * action-graph-fix: Checking for existing link before adding one when creating action graph.
  * Check all reqs and effect for roots
  * action-graph-fix: Setting executor_test TIMEOUT value to 300.
  * Add options to run command in plansys2 Terminal
  * Change runtime failures to BT::NodeStatus::FAILURE, add logging info to ExecutorClient
  * Add options to run command
  * action-graph-fix: Using std::list to create action graph rather than std::set. A std::set does not maintain insertion order, whereas a std::list does. Maintaining insertion order guarantees that graph traversal follows the same path as graph creation.
  * action-graph-test: Adding unit test to verify action graph generation.
  * Add Status recency in performers
  * Remove unnecessary node pointer
  * Merge branch 'IntelligentRoboticsLabs:master' into master
  * Logger tool - performers and plan
  * Logger tool - knowledge, info and action hub
  * Elevate failure logging from INFO to WARN/ERROR
  * Add action failure details to ExecutorClient
  * Contributors: Francisco Martín Rico, Jake Keller, Josh Zapf

 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 02 Apr 2022 22:00:00 -0000

ros-galactic-plansys2-executor (2.0.1-1focal) focal; urgency=high

  * Update deprecated APIs in launchers and parameters
  * Update launcher param names
  * Improve debug info
  * remove-invalid-goals: Removing invalid goals when instances are removed. Keep track of update time in problem expert.
  * Merge galactic-devel
  * Contributors: Francisco Martín Rico, Josh Zapf

 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 02 Feb 2022 23:00:00 -0000

ros-galactic-plansys2-executor (2.0.0-1focal) focal; urgency=high

  * Fix default param
  * Solve statically parameter error
  * Fix compile issues for galactic
  * Compile for ROS2 Galactic
  * Contributors: Francisco Martín Rico, Jonatan Olofsson, bjnjo

 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 03 Jul 2021 22:00:00 -0000



=== debian/control ===
Source: ros-galactic-plansys2-executor
Section: misc
Priority: optional
Maintainer: Francisco Martin Rico <fmrico@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libzmq3-dev, ros-galactic-ament-cmake, ros-galactic-ament-cmake-gtest, ros-galactic-ament-index-cpp, ros-galactic-ament-lint-auto, ros-galactic-ament-lint-common, ros-galactic-behaviortree-cpp-v3, ros-galactic-lifecycle-msgs, ros-galactic-plansys2-core, ros-galactic-plansys2-domain-expert, ros-galactic-plansys2-msgs, ros-galactic-plansys2-pddl-parser, ros-galactic-plansys2-planner, ros-galactic-plansys2-problem-expert, ros-galactic-rclcpp, ros-galactic-rclcpp-action, ros-galactic-rclcpp-cascade-lifecycle, ros-galactic-rclcpp-lifecycle, ros-galactic-std-msgs, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-plansys2-executor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libzmq3-dev, ros-galactic-ament-index-cpp, ros-galactic-behaviortree-cpp-v3, ros-galactic-lifecycle-msgs, ros-galactic-plansys2-core, ros-galactic-plansys2-domain-expert, ros-galactic-plansys2-msgs, ros-galactic-plansys2-pddl-parser, ros-galactic-plansys2-planner, ros-galactic-plansys2-problem-expert, ros-galactic-popf, ros-galactic-rclcpp, ros-galactic-rclcpp-action, ros-galactic-rclcpp-cascade-lifecycle, ros-galactic-rclcpp-lifecycle, ros-galactic-std-msgs, ros-galactic-ros-workspace
Description: This package contains the Executor module for the ROS2 Planning System

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-plansys2-executor//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
